## org.apache.tools.ant.input
Interface InputHandler

All Known Implementing Classes:
  DefaultInputHandler, PropertyFileInputHandler

public interface InputHandler

Plugin to Ant to handle requests for user input.

Since:
  Ant 1.5
Version:
  $Revision: 1.5 $
Author:
  Stefan Bodewig

Method Summary
`void` `handleInput(InputRequest request)` Handle the request encapsulated in the argument.

Method Detail

### handleInput

    public void handleInput(InputRequest request)
                     throws BuildException

  Handle the request encapsulated in the argument.

  Precondition: the request.getPrompt will return a non-null value.

  Postcondition: request.getInput will return a non-null value, request.isInputValid will return true.

  Parameters:
    `request` - the request to be processed
  Throws:
    `BuildException` - if the input cannot be read from the console

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.